## v0.32.54.zip

=== eyedeekay/goSam@v0.32.54/Makefile ===

USER_GH=eyedeekay
VERSION=0.32.54
packagename=gosam

echo: fmt
	@echo "type make version to do release $(VERSION)"

version:
	gothub release -s $(GITHUB_TOKEN) -u $(USER_GH) -r $(packagename) -t v$(VERSION) -d "version $(VERSION)"

del:
	gothub delete -s $(GITHUB_TOKEN) -u $(USER_GH) -r $(packagename) -t v$(VERSION)

tar:
	tar --exclude .git \
		--exclude .go \
		--exclude bin \
		--exclude examples \
		-cJvf ../$(packagename)_$(VERSION).orig.tar.xz .

link:
	rm -f ../goSam
	ln -sf . ../goSam

fmt:
	gofmt -w -s *.go */*.go

=== eyedeekay/goSam@v0.32.54/debian/changelog ===
golang-github-eyedeekay-gosam (0.32.30) UNRELEASED; urgency=medium

  * Improve the defaults
  * Handle errors more correctly
  * Gracefully handle hangups by creating a new session
  * Set empty destinations to TRANSIENT when dialing

 -- idk <hankhill19580@gmail.com>  Sun, 03 Nov 2020 16:12:04 -0500

golang-github-eyedeekay-gosam (0.32.29) UNRELEASED; urgency=medium

  * Maintenance updates

 -- idk <hankhill19580@gmail.com>  Mon, 23 Nov 2020 20:40:40 -0500

golang-github-eyedeekay-gosam (0.32.28) UNRELEASED; urgency=medium

  * Maintenance updates

 -- idk <hankhill19580@gmail.com>  Thu, 12 Sept 2020 22:44:27 -0500

golang-github-eyedeekay-gosam (0.32.27) UNRELEASED; urgency=medium

  * Add a Resolve function to fulfill SOCKS5 proxy requirements

 -- idk <hankhill19580@gmail.com>  Sun, 13 Sept 2020 04:48:27 -0500

golang-github-eyedeekay-gosam (0.32.26) UNRELEASED; urgency=medium

  * Fix mistaken-identity issue with listeners

 -- idk <hankhill19580@gmail.com>  Thu, 03 Sept 2020 08:17:40 -0500

golang-github-eyedeekay-gosam (0.32.25) UNRELEASED; urgency=medium

  * Support dual-keys by default in all future versions

 -- idk <hankhill19580@gmail.com>  Thu, 03 Sept 2020 04:25:04 -0500

golang-github-eyedeekay-gosam (0.32.24) UNRELEASED; urgency=medium

  * Improve the mutex thingy

 -- idk <hankhill19580@gmail.com>  Tue, 25 Aug 2020 04:52:11 -0500
  

golang-github-eyedeekay-gosam (0.32.23) UNRELEASED; urgency=medium

  * Protect Dial with a mutex to fix a lookup bug

 -- idk <hankhill19580@gmail.com>  Tue, 25 Aug 2020 10:29:26 -0500

golang-github-eyedeekay-gosam (0.3.2.1) bionic; urgency=medium

  * Get rid of the debug directory, just move it into the source
  * Get rid of the old example, just use the one in the README

 -- idk <hankhill19580@gmail.com>  Sat, 08 Dec 2019 19:11:41 -0500

golang-github-eyedeekay-gosam (0.3.2.0) bionic; urgency=medium

  * Enable persistent destinations
  * Make Base32 and Base64 addresses retrievable from client
  * bug fixes

 -- idk <hankhill19580@gmail.com>  Fri, 18 May 2019 18:12:21 -0500

golang-github-eyedeekay-gosam (0.1.1) bionic; urgency=medium

  * Incorporate all the recent bug-fixes and improvements and stabilize.

 -- idk <hankhill19580@gmail.com>  Fri, 15 Mar 2019 14:46:21 -0500

golang-github-eyedeekay-gosam (0.1.0+git20190221.2896c83ubuntu1+nmu2ubuntu1) bionic; urgency=medium

  * only run the offline tests by default

 -- idk <hankhill19580@gmail.com>  Thu, 28 Feb 2019 20:35:51 -0500

golang-github-eyedeekay-gosam (0.1.0+git20190221.2896c83ubuntu1+nmu2) bionic; urgency=medium

  [ idk ]
  * incorporate cryptix-debug without the counter
  * incorporate cryptix-debug without the counter
  * fix module

 -- idk <hankhill19580@gmail.com>  Thu, 28 Feb 2019 20:32:58 -0500

golang-github-eyedeekay-gosam (0.1.0+git20190221.2896c83ubuntu1+nmu1) bionic; urgency=medium

  * add sid
  *

 -- idk <hankhill19580@gmail.com>  Thu, 28 Feb 2019 18:52:01 -0500

golang-github-eyedeekay-gosam (0.1.0+git20190221.2896c83ubuntu1) bionic; urgency=medium

  [ idk ]
  * Update changelog for 0.1.0+git20190221.2896c83-1 release
  * add signature type support
  * Don't check version if handshake succeeds, just accept that OK is OK
  * Don't check version if handshake succeeds, just accept that OK is OK
  * make dialer context aware and avoid redundant session create's
  * make dialer context aware and avoid redundant session create's
  * correct CONTRIBUTING.md
  * correct CONTRIBUTING.md
  * correct CONTRIBUTING.md
  * explicitly et invalid initial lastaddr
  * remove 'commented-out' id
  * Initial release (Closes: TODO)

  [ idk ]
  * add bionic

 -- idk <hankhill19580@gmail.com>  Thu, 28 Feb 2019 18:51:23 -0500

=== eyedeekay/goSam@v0.32.54/debian/control ===
Source: golang-github-eyedeekay-gosam
Section: devel
Priority: optional
Maintainer: idk <hankhill19580@gmail.com>
Uploaders: idk <hankhill19580@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               i2pd | i2p,
               git,
Standards-Version: 4.2.1
Homepage: https://github.com/eyedeekay/gosam
Vcs-Browser: https:/github.com/eyedeekay/gosam
Vcs-Git: https://github.com/eyedeekay/gosam.git
XS-Go-Import-Path: github.com/eyedeekay/gosam
Testsuite: autopkgtest-pkg-go
Launchpad-Bugs-Fixed: #1818159

Package: golang-github-eyedeekay-gosam-dev
Architecture: all
Depends: ${misc:Depends},
    i2pd | i2p
Description: A go library for using the I2P (https://geti2p.net/en/)
 Simple Anonymous Messaging (SAM version 3.1
 (https://geti2p.net/en/docs/api/samv3)) bridge
 .
Launchpad-Bugs-Fixed: #1818159

=== eyedeekay/goSam@v0.32.54/debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-eyedeekay-gosam-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/eyedeekay/gosam/tags .*/v?(\d\S*)\.tar\.gz
